Skip to content
OpenPostDocs
OpenPostDocs
Image editor

Remove a named OpenPost Image Editor checkpoint

Removes only the selected named checkpoint and its snapshot references. The current design and other versions remain unchanged.

DELETE/image-editor/designs/{id}/revisions/{revision_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

id*string
revision_id*string

Query Parameters

confirm*boolean

Confirm permanent removal of this named checkpoint

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/image-editor/designs/string/revisions/string?confirm=true"
{  "$schema": "https://example.com/api/v1/schemas/DeleteImageEditorRevisionOutputBody.json",  "deleted": true}